SystemOrganization addCategory: 'ConfigurationOfOrbeonPersistenceAPI'!

BaselineOf subclass: #BaselineOfOrbeonPersistenceAPI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonPersistenceAPI'!

!BaselineOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 11:38'!
baseline: spec
  <baseline>

   spec
     for: #'common' do: [
       spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'.
       spec
         project: 'Orbeon'
         with: [ spec
					 className: 'ConfigurationOfOrbeon';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeon';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].
       spec
         project: 'Seaside3'
         with: [ spec
					 className: 'ConfigurationOfSeaside3';
					 versionString: #stable;
					 loads: #('Core');
					 file: 'ConfigurationOfSeaside3';
					 repository: 'http://www.smalltalkhub.com/mc/Seaside/MetacelloConfigurations/main'].

       spec package: 'Orbeon_Persistence_API-BrunoBB' with: [ spec requires: #('Seaside3' 'Orbeon')] ]! !

ConfigurationOf subclass: #ConfigurationOfOrbeonPersistenceAPI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonPersistenceAPI'!

!ConfigurationOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:40'!
baseline0100: spec
	<version: '0.100-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec author: 'BrunoBB'.
		spec repository: 'http://ss3.gemstone.com/ss/Orbeon'.
		spec project: 'Orbeon' with: [
			spec repository: 'http://ss3.gemstone.com/ss/Orbeon';
				versionString: #stable;
				className: 'ConfigurationOfOrbeon';
				file: 'ConfigurationOfOrbeon';
				loads: #('ALL').
				].
		spec project: 'Seaside3' with: [
			spec repository: 'http://www.smalltalkhub.com/mc/Seaside/MetacelloConfigurations/main';
				versionString: #stable;
				className: 'ConfigurationOfSeaside3';
				file: 'ConfigurationOfSeaside3';
				loads: #('Core').
				].
		spec 
			package: 'Orbeon_Persistence_API' with: [spec requires: #('Orbeon' 'Seaside3')].
	].! !

!ConfigurationOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:41'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '0.100-baseline'.! !

!ConfigurationOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:41'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '0.100'.! !

!ConfigurationOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:41'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '0.100'.! !

!ConfigurationOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:43'!
version0100: spec
	<version: '0.100' imports: #('0.100-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'brunobb'.
		spec project: 'Seaside3' with: [
			spec loads: #('Core');
				versionString: #stable.].

		spec package: 'Orbeon_Persistence_API' with: 'Orbeon_Persistence_API-BrunoBB.95'.

	]! !

!ConfigurationOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:44'!
versionNumberClass
     ^MetacelloVersionNumber! !
